---
title: Get tracking sessions by attendee id
slug: get-tracking-sessions-by-attendee-id
docTags: 
createdAt: 2023-04-12T08:32:15.000Z
---

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees/{attendeeId}/tracking_sessions",
  "name": "Get tracking sessions by attendee id",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "{organizationId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella organization you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{eventId}",
        "type": "Number",
        "children": [],
        "description": "The id of the Brella event you are trying to retrieve data from"
      },
      {
        "kind": "required",
        "name": "{attendeeId}",
        "type": "Number",
        "children": [],
        "description": "The id of the attendee you are trying to retrieve data from"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "Brella-API-Access-Token",
        "type": "String",
        "children": [],
        "description": "Your unique Brella API key"
      },
      {
        "kind": "required",
        "name": "Accept",
        "type": "string",
        "children": [],
        "description": "application/vnd.brella.v4+json"
      },
      {
        "kind": "required",
        "name": "Content-Type",
        "type": "string",
        "children": [],
        "description": "application/json"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "PsoboMOJ9Uo00iBrqhmgp",
        "code": "\"data\": [\n        {\n            \"id\": \"2871462\",\n            \"type\": \"tracking-session\",\n            \"attributes\": {\n                \"interaction-count\": 0,\n                \"duration-seconds\": 3329\n            },\n            \"relationships\": {\n                \"trackable\": {\n                    \"data\": {\n                        \"id\": \"6946\",\n                        \"type\": \"trackable\"\n                    }\n                },\n                \"tracking-session-slices\": {\n                    \"data\": [\n                        {\n                            \"id\": \"15299989\",\n                            \"type\": \"tracking-session-slice\"\n                        },\n                        {\n                            \"id\": \"15368214\",\n                            \"type\": \"tracking-session-slice\"\n                        },\n                        {\n                            \"id\": \"15376377\",\n                            \"type\": \"tracking-session-slice\"\n                        }\n                    ]\n                }\n            }\n        }\n    ],\n    \"included\": [\n        {\n            \"id\": \"1234\",\n            \"type\": \"trackable\",\n            \"attributes\": {\n                \"trackable-type\": \"Event\",\n                \"name\": \"Space Conference \",\n                \"title\": null,\n                \"url\": null,\n                \"body-type\": null\n            }\n        },\n        {\n            \"id\": \"15247989\",\n            \"type\": \"tracking-session-slice\",\n            \"attributes\": {\n                \"tracking-type\": \"time_spent\",\n                \"click-time\": null,\n                \"start-time\": \"2023-05-29T13:08:37.683Z\",\n                \"end-time\": \"2023-05-29T13:37:34.742Z\",\n                \"duration-seconds\": 1737\n            }\n        },\n        {\n            \"id\": \"15368214\",\n            \"type\": \"tracking-session-slice\",\n            \"attributes\": {\n                \"tracking-type\": \"time_spent\",\n                \"click-time\": null,\n                \"start-time\": \"2023-06-01T07:53:07.707Z\",\n                \"end-time\": \"2023-06-01T07:58:10.964Z\",\n                \"duration-seconds\": 303\n            }\n        },\n        {\n            \"id\": \"15376377\",\n            \"type\": \"tracking-session-slice\",\n            \"attributes\": {\n                \"tracking-type\": \"time_spent\",\n                \"click-time\": null,\n                \"start-time\": \"2023-06-01T12:56:05.973Z\",\n                \"end-time\": \"2023-06-01T13:17:35.087Z\",\n                \"duration-seconds\": 1289\n            }\n        }\n    ],\n    \"meta\": {\n        \"total_count\": 1,\n        \"total_pages\": 1,\n        \"current_page\": 1\n    }\n}\n",
        "language": "200",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "PsoboMOJ9Uo00iBrqhmgp"
  },
  "examples": {
    "languages": [
      {
        "id": "58_P6EC5ew_4aK8Jmjcmg",
        "code": "curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/attendees/{attendeeId}/tracking_sessions' \\\n--header 'Brella-API-Access-Token: String' \\\n--header 'Accept: application/vnd.brella.v4+json' \\\n--header 'Content-Type: application/json'",
        "language": "curl",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "58_P6EC5ew_4aK8Jmjcmg"
  },
  "description": "Get all tracking sessions for a specific attendee at the event",
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "autoGeneratedAnchorSlug": "get-tracking-sessions-by-attendee-id",
  "legacyHash": "GVk1RuRk7dJUk_oA_kdbt"
}
```
:::

## Notes:&#x20;

### Filtering

- This endpoint can be filtered by `trackable_type` which accepts the following value, in order to return only the tracking\_sessions and slices related to watching streams:
  - `StreamLink`
- This endpoint doesn't discriminate by event start date / time, but tracks every session from the time an attendee first joins the platform.&#x20;
- Filtering may be added in the future.&#x20;
- For now, the next `tracking_slices` endpoint has extensive filtering by date/ time and interaction type.&#x20;

### Available data:&#x20;

This endpoint exposes four types of tracking data for the selected attendee:

- Time-spent in the web and native (iOS / Android) apps, divided into "sessions". A session can end when a tab is closed, the app is put to sleep in the background, or when a network connection is disrupted/ lost.&#x20;
- Time spent watching video streams in the event
- Clicks on a sponsor booth
- Time spent interacting with media in sponsor booths (only tracked if the sponsor has added at least one type of rich media in their sponsor booth).&#x20;

### Examples of each object type:

**Sessions:**

- The TrackingSession itself has a duration, and consists of multiple tracking slices. If you want to know the *times* an attendee was on the platform, you need to look at the tracking\_session\_slices (in the Included section of this endpoint’s response; or you can query these tracking slices directly using the next endpoint — /tracking\_session\_slices —listed in this document, which also includes a variety of filtering options)

:::BlockQuote
\{
&#x20;  "id": "2910650",
&#x20;  "type": "tracking-session",
&#x20;  "attributes": \{
&#x20;     "interaction-count": 0,
&#x20;     "duration-seconds": 4521
&#x20;  },
&#x20;  "relationships": \{
&#x20;     "trackable": \{
&#x20;        "data": \{
&#x20;           "id": "6947",
&#x20;           "type": "trackable"
&#x20;        }
&#x20;     },
&#x20;     "tracking-session-slices": \{
&#x20;        "data": \[
&#x20;           \{
&#x20;              "id": "15775729",
&#x20;              "type": "tracking-session-slice"
&#x20;           },
&#x20;           \{
&#x20;              "id": "15776074",
&#x20;              "type": "tracking-session-slice"
&#x20;           },
&#x20;           \{
&#x20;              "id": "15776752",
&#x20;              "type": "tracking-session-slice"
&#x20;           },
&#x20;           \{
&#x20;              "id": "15866946",
&#x20;              "type": "tracking-session-slice"
&#x20;           },
&#x20;           \{
&#x20;              "id": "15867812",
&#x20;              "type": "tracking-session-slice"
&#x20;           }
&#x20;        ]
&#x20;     }
&#x20;  }
}
:::

**Video stream viewed:**

:::BlockQuote
\{
&#x20;  "id": "10447",
&#x20;  "type": "trackable",
&#x20;  "attributes": \{
&#x20;     "trackable-type": "StreamLink",
&#x20;     "name": null,
&#x20;     "title": "Example Live Stream: Session X on Y",
&#x20;     "url": "https\://vimeo.com/event/123456/embed",
&#x20;     "body-type": "stream-links"
&#x20;  }
}
:::

A b**ooth visit:**

:::BlockQuote
\{
\{
&#x20;           "id": "63293",
&#x20;           "type": "trackable",
&#x20;           "attributes": \{
&#x20;               "trackable-type": "Sponsor",
&#x20;               "name": "Google Cloud Platform",
&#x20;               "title": null,
&#x20;               "url": null,
&#x20;               "body-type": null
&#x20;           }
&#x20;       },
&#x20;       \{
&#x20;           "id": "13321762",
&#x20;           "type": "tracking-session-slice",
&#x20;           "attributes": \{
&#x20;               "tracking-type": "click",
&#x20;               "click-time": "2022-05-03T03:51:21.841Z",
&#x20;               "start-time": null,
&#x20;               "end-time": null,
&#x20;               "duration-seconds": 0
&#x20;           }
&#x20;       }
:::

**A click on a media item within a sponsor booth:**

:::BlockQuote
\{
&#x20;  "id": "15386392",
&#x20;  "type": "tracking-session-slice",
&#x20;  "attributes": \{
&#x20;     "tracking-type": "click",
&#x20;     "click-time": "2023-06-01T18:32:07.291Z",
&#x20;     "start-time": null,
&#x20;     "end-time": null,
&#x20;     "duration-seconds": 0
&#x20;  }
}
:::

### Limitations

This endpoint cannot distinguish between time spent on various app types (web, iOS, Android). This is a feature that is being researched. No roadmap commitments currently exist at the time of writing.

